/**
 *	@file bt.h
 *
 *	@project btChat
 *
 *	@author Collin R. Mulliner <collin(AT)betaversion.net>
 *
 * (c) Collin R. Mulliner
 *
 */

#ifndef __BT_H__
#define __BT_H__


#endif

int bt_server(struct btchatd_t *globals, struct pollfd *fd);
int bt_client(struct btchatd_t *globals, struct pollfd *fd, int index);
int bt_client_connect(struct btchatd_t *globals);
int bt_discover_client(struct btchatd_t *globals, struct pollfd *fd);
int bt_discover_server(int socket);
int bt_client_direct_init(struct btchatd_t *globals, int index, int socket, struct sockaddr_rc *sa, int sa_len);
int bt_client_direct_close(struct btchatd_t *globals, int index);
int bt_notify_net(struct btchatd_t *globals, struct btchat_node_t *node, int index);
